klem {gap} | R Documentation

## Haplotype frequency estimation based on a genotype table of two multiallelic markers

### Description

Haplotype frequency estimation using expectation-maximization algorithm based on a table of genotypes of two multiallelic markers.

### Usage

    klem(obs, k=2, l=2)

### Arguments

`obs` | a table of genotype counts
`k` | number of alleles at marker 1
`l` | number of alleles at marker 2

### Details

The dimension of the genotype table should be k*(k+1)/2 x l*(l+1)/2.

Modified from 2ld.c.

### Value

The returned value is a list containing:

`h` | haplotype Frequencies
`l0` | log-likelihood under linkage equilibrium
`l1` | log-likelihood under linkage disequilibrium

### Author(s)

Jing Hua Zhao

### See Also

`genecounting`

### Examples

    ## Not run:
    # an example with known genotype counts
    z <- klem(obs=1:9)
    # an example with imputed genotypes at SH2B1
    cwd <- getwd()
    cs.dir <- file.path(path.package("gap"),"tests/klem")
    setwd(cs.dir)
    dir()
    source("SH2B1.R",echo=TRUE)
    setwd(cwd)

    ## End(Not run)

[Package gap version 1.2.1 Index]